### Struct

# Vips ArgumentClass

#### Description

    struct VipsArgumentClass {
      VipsArgument parent;
      VipsObjectClass* object_class;
      VipsArgumentFlags flags;
      int priority;
      guint offset;
    }

No description available.

###### Structure members

`parent:` `VipsArgument`

  No description available.

`object_class:` `VipsObjectClass`

  No description available.

`flags:` `VipsArgumentFlags`

  No description available.

`priority:` `int`

  No description available.

`offset:` `guint`

  No description available.

#### Functions

###### vips_argument_class_map

And loop over a class. Same as ^^, but with no VipsArgumentInstance.

#### Instance methods

###### vips_argument_class_needsstring

No description available.